import { createSlice } from '@reduxjs/toolkit'

export const clickFileSlice = createSlice({
    name: 'clickFile',
    initialState: {
        type:"clickFile",
        data: {}
    },
    reducers: {
        // 点击文件添加item，设置单前文件
        clickFile: (state, action) => {
            console.log("clickFileSlice:clickFile", state, action)
            state.data=action.payload
        }
    }
})
export const { clickFile } = clickFileSlice.actions
export default clickFileSlice.reducer
